%define aurox_ver 9.3
%define rel 1

Summary: A library for interfacing IEEE 1284-compatible devices.
Name: libieee1284
Version: 0.2.8
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Libraries
URL: http://cyberelk.net/tim/libieee1284/
Source0: ftp://cyberelk.net/tim/data/%{name}/devel/%{name}-%{version}.tar.bz2
Patch0: libieee1284-0.2.8-doc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: xmlto

%description
The libieee1284 library is for communicating with parallel port devices.

%package devel
Summary: Files for developing applications that use libieee1284.
Requires: %{name} = %{version}
Group: Development/Libraries

%description devel
The header files, static library, libtool library and man pages for
developing applications that use libieee1284.

%prep
%setup -q
%patch0 -p1

%build
aclocal
libtoolize --force
automake
autoconf
%configure
make CFLAGS="$RPM_OPT_FLAGS"
# Also make the documentation in PDF format
#make doc/interface.pdf
# build html instead
make doc/index.html

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING TODO
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
#%doc doc/interface.pdf
%doc doc/*.html
%{_includedir}/ieee1284.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/*/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Jan 12 2004 Aurox Team <aurox@aurox.org> 0:0.2.8-9.3.aur.1
- rebuild for Aurox 9.3
- call libtoolize
- run autoconf
- fix doc patch
- build html docs, not pdf
- initial import
- used by sane-backends

* Mon Jun  9 2003 Tim Waugh <twaugh@redhat.com> 0.2.8-1
- Initial Red Hat Linux package.

* Wed Feb 26 2003 Tim Waugh <twaugh@redhat.com>
- Use the Makefile rule to build the PDF.

* Sat Aug 24 2002 Tim Waugh <twaugh@redhat.com>
- Ship test program.

* Sat Aug  3 2002 Tim Waugh <twaugh@redhat.com>
- The archive is now distributed in .tar.bz2 format.

* Fri Apr 26 2002 Tim Waugh <twaugh@redhat.com>
- No need to create man page symlinks any more.
- Build requires xmlto now, not docbook-utils.

* Wed Apr 24 2002 Tim Waugh <twaugh@redhat.com>
- The tarball builds its own man pages now; just adjust the symlinks.
- Run ldconfig.

* Mon Jan  7 2002 Tim Waugh <twaugh@redhat.com>
- Ship the PDF file with the devel package.

* Thu Nov 15 2001 Tim Waugh <twaugh@redhat.com>
- Initial specfile.
